WINESERVER(1)

NOM
wineserver - le serveur Wine

SYNOPSIS
wineserver [options]

DESCRIPTION
wineserver est un démon qui fournit à Wine à peu près les mêmes services que le noyau de Windows fournit sous Windows.

wineserver est normalement lancé automatiquement lorsque wine(1) démarre, mais il peut être utile de le démarrer explicitement avec certaines options, détaillées ci-après.

OPTIONS

-d[n], --debug[=n]
    Définit le niveau de débogage à n. 0 signifie aucune information de débogage, 1 est le niveau normal et 2 indique un débogage plus important. Si n n'est pas spécifié, la valeur par défaut est 1. La sortie de débogage sera stderr. wine(1) active automatiquement le débogage au niveau normal lorsqu'il démarre wineserver si l'option +server est indiquée dans la variable WINEDEBUG.

-f, --foreground
    Laisse le serveur au premier plan pour un débogage plus aisé, par exemple lorsqu'il est exécuté dans un débogueur.

-h, --help
    Affiche un message d'aide.

-k[n], --kill[=n]
    Termine le wineserver actuellement exécuté en lui envoyant facultativement le signal n. Si aucun signal n'est spécifié, un signal SIGINT est envoyé en premier, puis un signal SIGKILL. L'instance de wineserver à arrêter est déterminée par la variable d'environnement WINEPREFIX.

-p[n], --persistent[=n]
    Spécifie le délai de persistance de wineserver, c'est-à-dire le temps pendant lequel le serveur continuera à tourner après que tous les processus clients se sont terminés. Ceci évite le coût inhérent à l'arrêt puis au redémarrage du serveur lorsque des programmes sont lancés successivement à intervalle rapproché. Le délai d'attente n est exprimé en secondes (3 secondes par défaut). Si n n'est pas spécifié, le serveur s'exécute indéfiniment.

-v, --version
    Affiche les informations sur la version et se termine.

-w, --wait
    Attend que le wineserver actuellement exécuté se termine.

ENVIRONNEMENT

WINEPREFIX
    Si définie, cette variable indique le nom du répertoire où wineserver stocke ses données ($HOME/.wine par défaut). Tous les processus wine utilisant le même wineserver (c'est-à-dire pour un même utilisateur) partagent certains éléments comme la base de registre, la mémoire partagée et les objets du noyau. En donnant à WINEPREFIX une valeur spécifique pour différents processus Wine, il est possible d'exécuter plusieurs sessions de Wine totalement indépendantes.

WINESERVER
    Spécifie le chemin et le nom de l'exécutable wineserver qui sera lancé automatiquement par wine. Si cette variable n'est pas définie, Wine essaiera de charger /usr/bin/wineserver ou, à défaut, un fichier nommé wineserver dans le chemin système ou quelques autres emplacements potentiels.

FICHIERS

~/.wine
    Répertoire contenant les données utilisateur gérées par wine.

/tmp/.wine-uid
    Répertoire contenant le socket de serveur Unix et le fichier de verrouillage. Ces fichiers sont créés dans un sous-répertoire dont le nom est dérivé des périphérique et numéros d'inodes du répertoire WINEPREFIX.

AUTEURS
L'auteur originel de wineserver est Alexandre Julliard. Beaucoup d'autres personnes ont contribué des nouvelles fonctionnalités et des corrections de bugs. Pour une liste complète, consultez l'historique git.

BUGS
Les bugs peuvent être signalés (en anglais) sur le système de suivi des problèmes de Wine (https://bugs.winehq.org).

DISPONIBILITÉ
wineserver fait partie de la distribution de Wine, disponible depuis WineHQ, le quartier général des développeurs de Wine (https://www.winehq.org/).

VOIR AUSSI
wine(1),
Documentation et support de Wine (https://www.winehq.org/help).